from models import File
import os
try:
    import json
except:
    import simplejson as json

def clean_nulls():
    x = []
    for f in File.objects.all():
        try:
            fil = f.file.url
            if not fil.startswith("/static"):
                print fil
        except ValueError:
            f.delete()
    
def clean_relative_links():
    for f in File.objects.all():
        if f.file.url.startswith("/srv"):
            new_url = f.file.url.replace("/srv/edgware/edgware/static/", "")
            print "%s CHANGED TO %s" % (f.file.url, new_url,)
            f.file = new_url
            f.save()
    print "woohoo!"

def file_exists():
    exists = 0
    not_found = 0
    for f in File.objects.all():
        if os.path.exists(f.file.path):
            exists += 1
        else:
            not_found +=1
    print "exist: %d \n" % exists
    print "do not exist: %d" % not_found
    

def manage_types():
    wooga = {}
    types = ['image', 'audio', 'text', 'video', 'other']
    for t in types:
        wooga[t] = 0    
    
    for f in File.objects.all():
        typ = f.type
        try:
            wooga[typ] += 1
        except KeyError:
            print typ
    print json.dumps(wooga, indent=4)

def correct_types():
    types = ['image', 'audio', 'text', 'video', 'other']
    
